%if 0%{?fedora}
%global with_python3 1
%endif

%global eggname pyLibravatar
%global modname libravatar

Name:               python-pylibravatar
Version:            1.6
Release:            19%{?dist}
Summary:            Python module for Libravatar

# The full text of the license isn't shipped
# https://bugs.launchpad.net/pylibravatar/+bug/1173603
License:            MIT
URL:                http://pypi.python.org/pypi/pyLibravatar
Source0:            http://pypi.python.org/packages/source/p/%{eggname}/%{eggname}-%{version}.tar.gz
# https://code.launchpad.net/~ralph-bean/pylibravatar/tcp-dns/+merge/263157
Patch0:             python-pylibravatar-dns-srv-tcp.patch

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python2-pydns

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-py3dns
%endif

%global _description\
PyLibravatar is an easy way to make use of the federated Libravatar\
avatar hosting service from within your Python applications.

%description %_description

%package -n python2-pylibravatar
Summary: %summary
Requires:           python2-pydns
%{?python_provide:%python_provide python2-pylibravatar}

%description -n python2-pylibravatar %_description

%if 0%{?with_python3}
%package -n python3-pylibravatar
Summary:            Python module for Libravatar

Requires:           python3-py3dns

%description -n python3-pylibravatar
PyLibravatar is an easy way to make use of the federated Libravatar
avatar hosting service from within your Python applications.
%endif

%prep
%setup -q -n %{eggname}-%{version}

%patch0

# Correct wrong-file-end-of-line-encoding rpmlint issue
sed -i 's/\r//' README.txt
sed -i 's/\r//' Changelog.txt

# Remove bundled egg-info in case it exists
rm -rf %{eggname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files -n python2-pylibravatar
# Upstream doesn't ship the license full text
# https://bugs.launchpad.net/pylibravatar/+bug/1173603
%doc README.txt Changelog.txt
%{python2_sitelib}/%{modname}.py*
%{python2_sitelib}/%{eggname}-%{version}*

%if 0%{?with_python3}
%files -n python3-pylibravatar
# Upstream doesn't ship the license full text
# https://bugs.launchpad.net/pylibravatar/+bug/1173603
%doc README.txt Changelog.txt
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/*%{modname}*
%{python3_sitelib}/%{eggname}-%{version}-*
%endif

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jul 25 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.6-18
- Use the py2 version of the macros

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Miro Hrončok <mhroncok@redhat.com> - 1.6-16
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.6-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6-13
- Python 2 binary package renamed to python2-pylibravatar
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.6-10
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jun 26 2015 Ralph Bean <rbean@redhat.com> - 1.6-6
- Apply patch to use tcp for dns srv queries.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Sep 24 2013 Ralph Bean <rbean@redhat.com> - 1.6-2
- Fix file ownership in python3 subpackage.

* Tue Sep 24 2013 Ralph Bean <rbean@redhat.com> - 1.6-1
- Latest upstream with python3 support.
- Enable the python3 subpackage.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 01 2013 Ralph Bean <rbean@redhat.com> - 1.5-2
- Correct wrong-file-end-of-line-encoding rpmlint issue.

* Sat Apr 27 2013 Ralph Bean <rbean@redhat.com> - 1.5-1
- Initial packaging for Fedora.
- There is no test suite at this point.
- Upstream doesn't seem to ship the license full text at this point.
